gtkmm 2.4: Gtk::RecentInfo Class Reference

Main Page Widgets Namespaces Book

# Gtk::RecentInfo Class Reference
[RecentFiles]

List of all members.

## Detailed Description

Contains informations found when looking up an entry of the recently used files list.

Since gtkmm 2.10:

## Public Member Functions
bool | equal (const RecentInfo& other) const
bool | exists () const
time_t | get_added () const
int | get_age () const
bool | get_application_info (const Glib::ustring& app_name, Glib::StringArrayHandle& app_exec, guint& count, time_t& time) const
Glib::StringArrayHandle | get_applications () const
Glib::ustring | get_description () const
Glib::ustring | get_display_name () const
Glib::StringArrayHandle | get_groups () const
Glib::RefPtr<const Gdk::Pixbuf> | get_icon (int size) const
Glib::RefPtr<Gdk::Pixbuf> | get_icon (int size)
Glib::ustring | get_mime_type () const
time_t | get_modified () const
bool | get_private_hint () const
Glib::ustring | get_short_name () const
Glib::ustring | get_uri () const
Glib::ustring | get_uri_display () const
time_t | get_visited () const
const GtkRecentInfo* | gobj () const
| Provides access to the underlying C instance.
GtkRecentInfo* | gobj ()
| Provides access to the underlying C instance.
GtkRecentInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | has_application (const Glib::ustring& app_name) const
bool | has_group (const Glib::ustring& group) const
bool | is_local () const
Glib::ustring | last_application () const
| operator bool () const
| Tests whether the RecentInfo is valid.
void | reference () const
void | unreference () const
## Protected Member Functions
void | operator delete (void*, size_t)
| RecentInfo ()
## Related Functions
(Note that these are not member functions.)
bool | operator!= (const RecentInfo& lhs, const RecentInfo& rhs)
bool | operator== (const RecentInfo& lhs, const RecentInfo& rhs)
Glib::RefPtr<Gtk::RecentInfo> | wrap (GtkRecentInfo* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gtk::RecentInfo::RecentInfo | ( |  | ) | `[protected]`

## Member Function Documentation

bool Gtk::RecentInfo::equal | ( | const RecentInfo& | other | ) | const

bool Gtk::RecentInfo::exists | ( |  | ) | const

time_t Gtk::RecentInfo::get_added | ( |  | ) | const

int Gtk::RecentInfo::get_age | ( |  | ) | const

bool Gtk::RecentInfo::get_application_info | ( | const Glib::ustring & | app_name,
|  | Glib::StringArrayHandle & | app_exec,
|  | guint & | count,
|  | time_t & | time |
| ) |  |  | const

Glib::StringArrayHandle Gtk::RecentInfo::get_applications | ( |  | ) | const

Glib::ustring Gtk::RecentInfo::get_description | ( |  | ) | const

Glib::ustring Gtk::RecentInfo::get_display_name | ( |  | ) | const

Glib::StringArrayHandle Gtk::RecentInfo::get_groups | ( |  | ) | const

Glib::RefPtr<const Gdk::Pixbuf> Gtk::RecentInfo::get_icon | ( | int | size | ) | const

Glib::RefPtr<Gdk::Pixbuf> Gtk::RecentInfo::get_icon | ( | int | size | ) |

Glib::ustring Gtk::RecentInfo::get_mime_type | ( |  | ) | const

time_t Gtk::RecentInfo::get_modified | ( |  | ) | const

bool Gtk::RecentInfo::get_private_hint | ( |  | ) | const

Glib::ustring Gtk::RecentInfo::get_short_name | ( |  | ) | const

Glib::ustring Gtk::RecentInfo::get_uri | ( |  | ) | const

Glib::ustring Gtk::RecentInfo::get_uri_display | ( |  | ) | const

time_t Gtk::RecentInfo::get_visited | ( |  | ) | const

const GtkRecentInfo* Gtk::RecentInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GtkRecentInfo* Gtk::RecentInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

GtkRecentInfo* Gtk::RecentInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gtk::RecentInfo::has_application | ( | const Glib::ustring & | app_name | ) | const

bool Gtk::RecentInfo::has_group | ( | const Glib::ustring & | group | ) | const

bool Gtk::RecentInfo::is_local | ( |  | ) | const

Glib::ustring Gtk::RecentInfo::last_application | ( |  | ) | const

Gtk::RecentInfo::operator bool | ( |  | ) | const

Tests whether the RecentInfo is valid.

void Gtk::RecentInfo::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Gtk::RecentInfo::reference | ( |  | ) | const

void Gtk::RecentInfo::unreference | ( |  | ) | const

## Friends And Related Function Documentation

bool operator!= | ( | const RecentInfo& | lhs,
|  | const RecentInfo& | rhs |
| ) |  |  | `[related]`

bool operator== | ( | const RecentInfo& | lhs,
|  | const RecentInfo& | rhs |
| ) |  |  | `[related]`

Glib::RefPtr<Gtk::RecentInfo> wrap | ( | GtkRecentInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentinfo.h